openvpn3-service-devposture(8)

Name
openvpn3-service-devposture - OpenVPN 3 Linux VPN Client devposture service

SYNOPSIS
openvpn3-service-devposture [OPTIONS]
openvpn3-service-devposture -h | --help

DESCRIPTION

The openvpn3-service-devposture process is a backend service for OpenVPN 3 Linux, responsible for retrieving client environment information, such as OS details (distro, version, etc.) and presenting it to openvpn3-service-client upon request.

openvpn3-service-client then forwards this to the peer during connection attempts. The peer can then veto the client based on the received information.

Beware that running this with another user account than _openvpn also requires updating the D-Bus policy as well.

OPTIONS

    -h, --help
        Print usage and help details to the terminal

    --version
        Prints the version of the program and exists

    --log-level LEVEL
        Sets the default log verbosity for log events generated by this service. The default is 3. Valid values are 0 to 6. Higher log levels results in more verbose logs and log level 6 will contain all debug log events.

        This setting will be overridden if the configuration file used contains the --verb option (see the openvpn(8) man page for details) or the log-level configuration profile override has been set (see openvpn3-config-manage(1)).

    --log-file LOG_DESTINATION
        By default, logging will go via the openvpn3-service-log service. By providing this argument, logging will also be sent to LOG_DESTINATION, which can be either a filename or stdout: where the latter one sends log data to the console.

    --colour
        This will add colours to log events when logging to file or terminal. Log events will be coloured based on the log level of the event.

    --idle-exit MINUTES
        The openvpn3-service-devposture service will exit automatically if it is being idle for MINUTES minutes.

    --profile-dir DIRECTORY
        Directory containing the Device Posture Protocol profile definitions. These files instructs the device posture service how to respond to various device posture check requests by the VPN server. The default directory is /var/lib/openvpn3/deviceposture/profiles.

SEE ALSO

openvpn3(1) openvpn3-service-client(8) openvpn(8)